
QGIS Application - Bug report #6851

QGIS Master displays error message when a raster is loaded

2012-12-10 04:12 PM - andre mano

Status: Rejected

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Win 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15987

Description

Every time I try to load any raster, the following message is displayed. If I close the message dialog and my mouse pointer is in canvas

area, the message pops up again. I believe this should be a dependency problem of my machine.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Users/Andre/.qgis//python/plugins\\earthbeat\\earthbeatwidget.py", line 234, in plotValues

    self.x , self.y, self.pinPos = self.getValues(position)

  File "C:/Users/Andre/.qgis//python/plugins\\earthbeat\\earthbeatwidget.py", line 197, in getValues

    isok, ident = ilayer.identify(thisPos)

AttributeError: 'QgsRasterLayer' object has no attribute 'identify'

Python version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, 56bba06

Python path: ['C:/Users/Andre/.qgis//python/plugins\\\\sextante_taudem', 'C:/Users/Andre/.qgis//python/plugins\\\\sextante',

'C:/OSGeo4W/apps/qgis-dev/./python', 'C:/Users/Andre/.qgis//python', 'C:/Users/Andre/.qgis//python/plugins',

'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\apps\\\\orfeotoolbox\\\\wrapping\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\orfeotoolbox\\\\wrapping\\\\Python', 'C:\\\\OSGeo4W\\\\apps\\\\orfeotoolbox\\\\python', 'C:\\\\',

'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\Users\\\\Andre\\\\.qgis\\\\python\\\\plugins\\\\qgis2kml', 'C:\\\\Users\\\\Andre\\\\.qgis\\\\python\\\\plugins\\\\qgis2kml',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

History

#1 - 2012-12-10 11:05 PM - Alexander Bruy

- Resolution set to invalid

- Status changed from Open to Rejected
This is not QGIS issue at all. Error happens in EarthBeat plugin. Please post bugreport in plugin bugtracker.

#2 - 2012-12-11 03:41 AM - andre mano

Thanks Alexander.  I'll post it on plugins section.
